// ==========================================
// Text
// ==========================================
@use "../../../utilities/variables/" as v;

@mixin editor-text {
    p {
        margin: 0 0 30px;
        padding: 0;

        @media print {
            orphans: 3;
            widows: 3;
        }
    }

    hr {
        border: 0;
        border-collapse: collapse;
        border-top: 1px solid v.$horizontal-rule--border-color;
        clear: both;
        margin: 30px 0;
    }

    b,
    strong {
        font-weight: 700;
    }

    blockquote,
    cite,
    em,
    i {
        font-style: italic;
    }

    mark {
        background: v.$mark--background-color;
        color: v.$mark--color;
    }

    abbr[title]::after {
        @media print {
            content: "("attr(title)")";
        }
    }

    pre {
        @media print {
            border: 1px solid v.$dusty-gray;
            page-break-inside: avoid;
        }
    }
}
